aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/style.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/style.sh b/scripts/style.sh
index 4422350..3e12d5a 100755
--- a/scripts/style.sh
+++ b/scripts/style.sh
@@ -23,6 +23,12 @@
set -euo pipefail
+if [[ $(clang-format --version) != **"version 6"** ]]; then
+ echo "Please upgrade to clang-format version 6."
+ echo "If it's installed via homebrew you can run: brew upgrade clang-format"
+ exit 1
+fi
+
(
if [[ $# -gt 0 ]]; then
if git rev-parse "$1" -- >& /dev/null; then